CUTLASS: cutlass::reference::host::detail::RandomUniformFunc< Element > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
cutlass::reference::host::detail::RandomUniformFunc< Element > Struct Template Reference

`#include <tensor_fill.h>`

## Public Types
using | Real = typename RealType< Element >::Type

## Public Member Functions
| RandomUniformFunc (uint64_t seed_=0, double max=1, double min_=0, int int_scale_=-1)
Element | operator() () const
| Compute random value and update RNG state. More...

## Public Attributes
uint64_t | seed
double | range
double | min
int | int_scale

## Member Typedef Documentation

template<typename Element>

using cutlass::reference::host::detail::RandomUniformFunc< Element >::Real = typename RealType<Element>::Type

## Constructor & Destructor Documentation

template<typename Element>

cutlass::reference::host::detail::RandomUniformFunc< Element >::RandomUniformFunc | ( | uint64_t | seed_ = `0`,
|  | double | max = `1`,
|  | double | min_ = `0`,
|  | int | int_scale_ = `-1`
| ) |  |
| inline

## Member Function Documentation

template<typename Element>

Element cutlass::reference::host::detail::RandomUniformFunc< Element >::operator() | ( |  | ) | const
| inline

## Member Data Documentation

template<typename Element>

int cutlass::reference::host::detail::RandomUniformFunc< Element >::int_scale

template<typename Element>

double cutlass::reference::host::detail::RandomUniformFunc< Element >::min

template<typename Element>

double cutlass::reference::host::detail::RandomUniformFunc< Element >::range

template<typename Element>

uint64_t cutlass::reference::host::detail::RandomUniformFunc< Element >::seed

The documentation for this struct was generated from the following file:

- host/tensor_fill.h